<html>
    <script src="../js/angular.js"></script>
    <body>
        <div ng-app="timeApp" ng-controller="timeCtrl">
            <p><b>the time is:</b></p>
            <h1>{{theTime}}</h1>
        </div>
        <p>
            the $interval service run a function every specified milisecond.</p>
        <script>
        var app=angular.module('timeApp',[]);
        app.controller('timeCtrl',function($scope,$interval)
        {
            $scope.theTime=new Date().toLocaleTimeString();
            $interval(function(){
                $scope.theTime=new Date().toLocaleTimeString();
            },1000);
        });
        </script>
    </body>
</html>